/*---------------------------------------------------------------*/
/*
    Titre : Force HTTPS                                                                                                   
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1054
    Auteur           : sheppy1                                                                                            
    Date dition     : 16 Fv 2019                                                                                        
    Date mise  jour : 11 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    - modification de la description                                                                                      
*/
/*---------------------------------------------------------------*/?>
 
RewriteEngine on
RewriteCond %{HTTPS} off
RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}
  
## Si vous avez plusieurs domaines :
 
RewriteEngine On
RewriteCond %{HTTP_HOST} ^VotreDomaine\.com [NC]
RewriteCond %{HTTPS} off
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI}
 

## Si vous avez un proxy :
 
RewriteCond %{HTTP:X-Forwarded-Proto} !https
RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}
